/*
 * GTWEQM.h    REVISION HISTORY:
 * Generated by SRVWIZARD on Thu Feb 23 11:09:44 2006
*/

#ifndef GTWEQM_H_
#define GTWEQM_H_

#define GTWEQM_TAG "GTWEQM"

#define GTWEQM_RATE 1000

#define NBEAMSHUTTERS 34
#define NBPMS 38
#define PRP_BEAM_SHUTTERS 12
#define PRP_NEXT_FILL 11
#define PRP_TIME_REMAINING 10
#define PRP_MON_Y 9
#define PRP_MON_X 8
#define PRP_BPM_Y 7
#define PRP_BPM_X 6
#define PRP_TEXT 5
#define PRP_TEXT_SIZE 1
#define PRP_STATE 4
#define PRP_STATE_SIZE 1
#define PRP_ENERGY 3
#define PRP_ENERGY_SIZE 1
#define PRP_LIFETIME 2
#define PRP_LIFETIME_SIZE 1
#define PRP_CURRENT 1
#define PRP_CURRENT_SIZE 1

extern float g_bpmx[NBPMS];
extern float g_bpmy[NBPMS];
extern float g_monx[NBPMS];
extern float g_mony[NBPMS];
extern NAME64 g_text;
extern NAME32 g_state;
extern float g_energy;
extern float g_lifetime;
extern float g_current;
extern int timeRemaining;
extern int g_beamShutter[NBEAMSHUTTERS];

extern time_t ts_current;
extern time_t ts_lifetime;
extern time_t ts_energy; 
extern time_t ts_state;
extern time_t ts_text;
extern time_t ts_bpmx,ts_bpmy;
extern time_t ts_monx,ts_mony;
extern time_t ts_time;
extern time_t ts_shutter;

int gtweqm(char *devName,char *devProperty,DTYPE *dout, DTYPE *din,short access);
void gtweqm_bkg(void);
void gtweqm_ini(void);
void gtweqm_exi(void);

int SimulateData(int start,int range);

char *SimulateStringData(int length);

#endif
